{
        "name" : "GithubForkRepository",
        "displayName" : "GithubForkRepository",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.github.ForkRepositoryWorkitemHandler(\"userName\", \"password\")",
        "documentation" : "github-workitem/index.html",
        "module" : "github-workitem",
        "icon" : "GithubForkRepository.png",
            "category" : "Github",
            "description" : "Create Gist or list your repositories in Github",
            "keywords" : [
                                "github"
                ,"repo"
                ,"repository"
                ,"fork"

            ],
                "isaction" : "true",
                "actiontitle" : "Fork a GitHub repository",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Github username"
                                           }
                    ,{
                                               "name" : "Github password"
                                           }

                ],
                "authreferencesite" : "https://github.com/",
            "parameters" : [
                                   {
                                       "name" : "Organization",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "RepoOwner",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "RepoName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "ForkedRepoInfo",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "github-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GithubMergePullRequest",
        "displayName" : "GithubMergePullRequest",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.github.MergePullRequestWorkitemHandler(\"userName\", \"password\")",
        "documentation" : "github-workitem/index.html",
        "module" : "github-workitem",
        "icon" : "GithubMergePullRequest.png",
            "category" : "Github",
            "description" : "Create Gist or list your repositories in Github",
            "keywords" : [
                                "github"
                ,"repo"
                ,"repository"
                ,"merge"
                ,"pull"
                ,"request"
                ,"pullrequest"
                ,"pr"

            ],
                "isaction" : "true",
                "actiontitle" : "Merget a pull request on GitHub",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Github username"
                                           }
                    ,{
                                               "name" : "Github password"
                                           }

                ],
                "authreferencesite" : "https://github.com/",
            "parameters" : [
                                   {
                                       "name" : "CommitMessage",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "RepoOwner",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "RepoName",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "PullRequestNum",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "IsMerged",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "github-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GithubCreateGist",
        "displayName" : "GithubCreateGist",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.github.CreateGistWorkitemHandler(\"userName\", \"password\")",
        "documentation" : "github-workitem/index.html",
        "module" : "github-workitem",
        "icon" : "GithubCreateGist.png",
            "category" : "Github",
            "description" : "Create Gist or list your repositories in Github",
            "keywords" : [
                                "gist"
                ,"github"
                ,"create"

            ],
                "isaction" : "true",
                "actiontitle" : "Create a new Gist",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Github username"
                                           }
                    ,{
                                               "name" : "Github password"
                                           }

                ],
                "authreferencesite" : "https://github.com/",
            "parameters" : [
                                   {
                                       "name" : "Description",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Content",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "IsPublic",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "GistURL",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "github-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GithubFetchIssues",
        "displayName" : "GithubFetchIssues",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.github.FetchIssuesWorkitemHandler(\"userName\", \"password\")",
        "documentation" : "github-workitem/index.html",
        "module" : "github-workitem",
        "icon" : "GithubFetchIssues.png",
            "category" : "Github",
            "description" : "Create Gist or list your repositories in Github",
            "keywords" : [
                                "github"
                ,"repo"
                ,"repository"
                ,"fetch"
                ,"issues"

            ],
                "isaction" : "true",
                "actiontitle" : "Fetch issues for a project from GitHub",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Github username"
                                           }
                    ,{
                                               "name" : "Github password"
                                           }

                ],
                "authreferencesite" : "https://github.com/",
            "parameters" : [
                                   {
                                       "name" : "IssuesState",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "User",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "RepoName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "IssuesList",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "github-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "GithubListRepositories",
        "displayName" : "GithubListRepositories",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.github.ListRepositoriesWorkitemHandler(\"userName\", \"password\")",
        "documentation" : "github-workitem/index.html",
        "module" : "github-workitem",
        "icon" : "GithubListRepositories.png",
            "category" : "Github",
            "description" : "Create Gist or list your repositories in Github",
            "keywords" : [
                                "github"
                ,"repo"
                ,"repository"
                ,"list"

            ],
                "isaction" : "true",
                "actiontitle" : "List all GitHub repositories",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Github username"
                                           }
                    ,{
                                               "name" : "Github password"
                                           }

                ],
                "authreferencesite" : "https://github.com/",
            "parameters" : [
                                   {
                                       "name" : "User",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "RepoListInfo",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "github-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
